import 'dart:io';

import 'package:flutter/foundation.dart';

class BuildConfig {
  BuildConfig._();

  static bool get isDebug => kDebugMode;
}

mixin GravityConfig {
  //引力引擎配置
  static const _gravityAndroidAppId = "24753190";
  static const _gravityIosAppId = "29235674";
  static const _gravityAndroidAccessToken = "kqrXSfRQFz5ksKLaGoJx7hbfzvul3cte";
  static const _gravityIosAccessToken = "ot67ubSa2jInhgrbhuppxwCKsNnejUid";

  static String get gravityAppId {
    if (Platform.isAndroid) {
      return _gravityAndroidAppId;
    } else if (Platform.isIOS) {
      return _gravityIosAppId;
    } else {
      return '';
    }
  }

  static String get gravityAccessToken {
    if (Platform.isAndroid) {
      return _gravityAndroidAccessToken;
    } else if (Platform.isIOS) {
      return _gravityIosAccessToken;
    } else {
      return '';
    }
  }
}
